with GNATCOM.Dispinterface;

package MSHTML.IHTMLBodyElement2_Object is

   type IHTMLBodyElement2_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_onbeforeprint
     (This : IHTMLBodyElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onbeforeprint
     (This : IHTMLBodyElement2_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onafterprint
     (This : IHTMLBodyElement2_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onafterprint
     (This : IHTMLBodyElement2_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLBodyElement2_Object;

